Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portlet.prefs
Class UnmodifiableException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.portlet.PortletException
                        |
                        +--javax.portlet.ReadOnlyException
                              |
                              +--com.bea.portlet.prefs.UnmodifiableException

All Implemented Interfaces:
  Serializable

Deprecated. Replaced by `ReadOnlyException`

public class UnmodifiableException
extends javax.portlet.ReadOnlyException

See Also:
  Serialized Form

Constructor Summary
`UnmodifiableException()` Deprecated. Constructs a new exception
`UnmodifiableException(String message)` Deprecated. Constructs a new exception with the given message.
`UnmodifiableException(String message, Throwable cause)` Deprecated. Constructs a new exception with the given message and root cause.
`UnmodifiableException(Throwable cause)` Deprecated. Constructs a new exception with the given root cause.

Methods inherited from class javax.portlet.PortletException
`getCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnmodifiableException

    public UnmodifiableException()

  Deprecated.
  Constructs a new exception

### UnmodifiableException

    public UnmodifiableException(String message)

  Deprecated.
  Constructs a new exception with the given message.

Parameters:
  `message` - message

### UnmodifiableException

    public UnmodifiableException(String message,
                                 Throwable cause)

  Deprecated.
  Constructs a new exception with the given message and root cause.

Parameters:
  `message` - message
  `cause` - cause

### UnmodifiableException

    public UnmodifiableException(Throwable cause)

  Deprecated.
  Constructs a new exception with the given root cause.

Parameters:
  `cause` - cause

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved